CVE-2021-24122

NameCVE-2021-24122
DescriptionWhen serving resources from a network location using the NTFS file system, Apache Tomcat versions 10.0.0-M1 to 10.0.0-M9, 9.0.0.M1 to 9.0.39, 8.5.0 to 8.5.59 and 7.0.0 to 7.0.106 were susceptible to JSP source code disclosure in some configurations. The root cause was the unexpected behaviour of the JRE API File.getCanonicalPath() which in turn was caused by the inconsistent behaviour of the Windows API (FindFirstFileW) in some circumstances.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2594-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tomcat7 (PTS)stretch7.0.75-1vulnerable
tomcat8 (PTS)stretch8.5.54-0+deb9u1vulnerable
stretch (security)8.5.54-0+deb9u6fixed
tomcat9 (PTS)buster9.0.31-1~deb10u3vulnerable
buster (security)9.0.31-1~deb10u4vulnerable
bullseye, sid9.0.43-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tomcat7source(unstable)(unfixed)unimportant
tomcat8sourcestretch8.5.54-0+deb9u6DLA-2594-1
tomcat8source(unstable)(unfixed)unimportant
tomcat9source(unstable)9.0.40-1unimportant

Notes

https://github.com/apache/tomcat/commit/935fc5582dc25ae10bab6f9d5629ff8d996cb533 (9.0.40)
https://github.com/apache/tomcat/commit/920dddbdb981f92e8d5872a4bb126a10af5ca8a9 (8.5.60)
https://github.com/apache/tomcat/commit/800b03140e640f8892f27021e681645e8e320177 (7.0.107)
Issue when erving resources from a network location using the NTFS file system.

Search for package or bug name: Reporting problems